<?php

header('Content-Type: application/json');

$directories       = scandir('docs/', SORT_ASC);
$availableVersions = array_filter($directories, 'isVersion') ? : ['0.0.0.0'];
usort($availableVersions, 'version_compare');
echo json_encode(array_reverse(array_values($availableVersions)), JSON_PRETTY_PRINT);

/**
 * Returns whether the provided name starts with a version or not.
 *
 * @param string $name Name to check.
 *
 * @return bool True, if the provided name starts with a version eg. 3.11
 */
function isVersion($name)
{
    return (bool)preg_match('/^\d\.\d+/', $name);
}
