/**
 * Returns whether the element is in the view or not.
 * @param lazyElement Element to check.
 * @param pixelBeforeElementIsInView Pixel before element is shown. If the element is not in the view yet,
 * you can provide this parameter in order to check if the element shown after the next eg. 1000 pixel
 * @returns {boolean}
 */
export const isElementInView = (lazyElement, pixelBeforeElementIsInView = 0) => {
    const rect = lazyElement.getBoundingClientRect();
    const elementTop = rect.top;
    const elementBottom = rect.bottom;
    
    return elementTop <= window.innerHeight + pixelBeforeElementIsInView && elementBottom >= 0;
}