/* --------------------------------------------------------------
 Environment.js 2016-09-14
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2016 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

/**
 * Bind Global Error Handler
 *
 * Treat all the errors from the same callback.
 */
export function registerErrorHandler() {
	window.onerror = function() {
		console.error('Error Handler', ...arguments);
	};
}

/**
 * Register the required polyfills for better browser support.
 */
export function registerPolyfills() {
	// The NodeList prototype doesn't normally have a forEach method.
	NodeList.prototype.forEach = Array.prototype.forEach;
}

/**
 * Parse GET parameter from current URL location.
 *
 * @param {String} parameterName Name of the paremeter value to be returned.
 *
 * @return {String|null|undefined}
 */
export const parseGetParameter = parameterName => {
	let result = null;
	let tmp = [];

	location.search
		.substr(1)
		.split('&')
		.forEach(function(item) {
			tmp = item.split('=');
			if (tmp[0] === parameterName) {
				result = decodeURIComponent(tmp[1]);
			}
		});
	return result;
};
