/* --------------------------------------------------------------
 Layout.js 2016-09-15
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2016 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

import renderManual from '../templates/manual.pug';

/**
 * Prepare the main components of the page layout.
 */
export function prepareLayout() {
	const app = document.querySelector('#app');
	app.innerHTML = renderManual();
}

/**
 * Bind layout event listeners.
 *
 * These event listeners will be used through every page of the layout, so bind them once.
 */
export function bindLayoutEventListeners() {
	const toggleNavigation = document.querySelector('.toggle-nav');

	toggleNavigation.addEventListener('click', () => {
		const menu = toggleNavigation.nextElementSibling;
		menu.classList.toggle('toggle');
	});
}
